Debian Bug report logs - #693481
ITP: python-webm -- python interface to the Google WebM video/image codec

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Fri, 16 Nov 2012 22:57:02 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Fixed in version python-webm/0.2.2-1

Done: Dmitry Smirnov <onlyjob@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#693481; Package wnpp. (Fri, 16 Nov 2012 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 16 Nov 2012 22:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: python-webm -- python interface to the Google WebM video/image codec
Date: Sat, 17 Nov 2012 09:54:02 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: python-webm
        Version: 0.2.2
Upstream Author: Daniele Esposti <expo@expobrain.net>
            URL: https://code.google.com/p/python-webm
        License: BSD-2-clause (modified)
    Description: python interface to the Google WebM video/image codec
                 The interface uses ctypes to call the libvpx/libwebm Google

[signature.asc (application/pgp-signature, inline)]

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 23:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693481; Package wnpp. (Sat, 17 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 17 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 693481@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693481@bugs.debian.org
Subject: package is available
Date: Sat, 17 Nov 2012 19:16:45 +1100
Source package is available:

	https://mentors.debian.net/package/python-webm


Package repository:

	http://anonscm.debian.org/gitweb/?p=collab-maint/python-webm.git


Sponsorship is welcome. :)

Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 17 Nov 2012 21:51:10 GMT) Full text and rfc822 format available.

Message #15 received at 693481@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 693481@bugs.debian.org
Subject: Re: Bug#693481: package is available
Date: Sat, 17 Nov 2012 22:46:35 +0100
* Dmitry Smirnov <onlyjob@member.fsf.org>, 2012-11-17, 19:16:
>Source package is available:
>
>	https://mentors.debian.net/package/python-webm

I don't intend to sponsor this, but here's my quick review:

Support for .pyinstall files was added in python-defaults 2.6.6-6. This 
is newer than the version in squeeze, so please add version constraint 
to build-dependency on python-all.

s/python/Python/ is the package synopsis.

The extended description makes sense only when displayed together with 
the short one. You shouldn't assume that this will always be the case; 
long description should be stand-alone. Also, lintian emits:

I: python-webm: extended-description-is-probably-too-short

I would advise you against using a more restrictive license than 
upstream uses.

Short license names in DEP-5 copyright file cannot contain spaces.

Regarding with-libwebp2.patch: you must not use the .so symlink at 
runtime, because it could point a library that is not ABI-compatible 
with python-webm. (See #651865 for a practical example of what could 
happen when one uses .so symlink.)

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693481; Package wnpp. (Sun, 18 Nov 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 18 Nov 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 693481@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Jakub Wilk <jwilk@debian.org>, 693481@bugs.debian.org
Subject: Re: Bug#693481: package is available
Date: Sun, 18 Nov 2012 11:13:03 +1100
On Sun, 18 Nov 2012 08:46:35 Jakub Wilk wrote:
> I don't intend to sponsor this, but here's my quick review:

I very much appreciate your feedback Jakub. Thank you.

> 
> Support for .pyinstall files was added in python-defaults 2.6.6-6. This
> is newer than the version in squeeze, so please add version constraint
> to build-dependency on python-all.

Done.

> 
> s/python/Python/ is the package synopsis.

Done.

> 
> The extended description makes sense only when displayed together with
> the short one. You shouldn't assume that this will always be the case;
> long description should be stand-alone. Also, lintian emits:
> 
> I: python-webm: extended-description-is-probably-too-short
> 

Surely I should have put more effort to this obvious problem.
I didn't miss it but I was struggling to produce a meaningful description.

At the moment I've changed long description to

	Python module to provide interface to Google WebM video/image codec.
	It uses ctypes to call the libvpx/libwebm system library (libwebp).

Thank you.

> I would advise you against using a more restrictive license than
> upstream uses.
> 

Acknowledged, thank you for advise. However for a moment I'll leave packaging 
license as GPL-2+ as I'm not aware of any potential problems.


> Short license names in DEP-5 copyright file cannot contain spaces.
> 

Right, will "BSD-2-clause_(modified)" be better, do you think?


> Regarding with-libwebp2.patch: you must not use the .so symlink at
> runtime, because it could point a library that is not ABI-compatible
> with python-webm. (See #651865 for a practical example of what could
> happen when one uses .so symlink.)

Thank you, I'll let upstream know. I've noticed this problem but I'm a Python 
illiterate and this mistake was done by two experienced Python developers 
(upstream and author of the patch) so I didn't feel confident enough to 
overrule. Thank you for example demonstrating the problem.

All the best,
Dmitry.

-- 
Regards,
Dmitry.



Added indication that bug 693481 blocks 713017 Request was from Dmitry Smirnov <onlyjob@debian.org> to control@bugs.debian.org. (Sat, 22 Jun 2013 05:36:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 22 Jun 2013 08:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 08:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sat, 22 Jun 2013 08:39:09 GMT) Full text and rfc822 format available.

Message #29 received at 693481@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Dmitry Smirnov <onlyjob@debian.org>, 713017@bugs.debian.org, 693481@bugs.debian.org
Subject: Re: Processed: block 713017 with 693481
Date: Sat, 22 Jun 2013 10:35:24 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 22, 2013 at 05:36:05AM +0000, Debian Bug Tracking System wrote:
> > block 713017 with 693481
---end quoted text---

  How is 693481 blocking 713017 ? I see that in Ubuntu, python-webm 
  isn't in saucy, yet xpra in saucy has libwebp4 in Depends instead of 
  libwebp2

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sat, 22 Jun 2013 09:21:04 GMT) Full text and rfc822 format available.

Message #34 received at 693481@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: أحمد المحمودي <aelmahmoudy@sabily.org>, 693481@bugs.debian.org
Cc: 713017@bugs.debian.org
Subject: Re: Bug#693481: Processed: block 713017 with 693481
Date: Sat, 22 Jun 2013 19:17:52 +1000
[Message part 1 (text/plain, inline)]
On Sat, 22 Jun 2013 18:35:24 أحمد المحمودي wrote:
>   How is 693481 blocking 713017 ?

Xpra bundles "python-webm" library that xpra-upstream patches to
hardcode library names ("libwebp.so", "libwebp.so.2", "libwebp.so.4").
Therefore the bug is that we have corresponding hard-coded
dependency on particular library i.e. "libwebp2" or "libwebp4".

This is wrong, fragile and actually not even xpra problem after all,
so merely bumping Depends is not a fix but temporary workaround.

I fixed this problem in de-coupled "python-webm" package which is
waiting for approval in NEW. There will be no hard dependency on
"libwebp*" -- instead dependency will be calculated on build-time
according to installed "libwebp-dev".

Also "python-webm" will be dynamically discovering "libwebp" using
"find_library" from "ctypes.util" rather than look for hard-coded
.so.N name.

Cheers,
 Dmitry Smirnov.

---

Most people work just hard enough not to get fired and get paid just
enough money not to quit
        -- George Carlin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Martin <antoine@nagafix.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sat, 22 Jun 2013 10:54:05 GMT) Full text and rfc822 format available.

Message #39 received at 693481@bugs.debian.org (full text, mbox):

From: Antoine Martin <antoine@nagafix.co.uk>
To: Dmitry Smirnov <onlyjob@debian.org>, 713017@bugs.debian.org
Cc: أحمد المحمودي <aelmahmoudy@sabily.org>, 693481@bugs.debian.org
Subject: Re: Bug#713017: Bug#693481: Processed: block 713017 with 693481
Date: Sat, 22 Jun 2013 17:41:06 +0700
Note: upstream python-webm has not received a single update since March
2012, and it is now behind our in-tree copy which now supports lossless
compression.
I have created an upstream ticket with my patch:
https://code.google.com/p/python-webm/issues/detail?id=2

As for the hard-coded library names, this is unfortunate but was needed
to make it work on all the platforms we support (I can't remember for
sure, but I think "find_library" did not work on OSX for example). We
*could* use "find_library" once it has been proven to work everywhere
(takes time).

Please also note that in the upcoming xpra 0.10 release, the loading of
codecs has changed: we now use the __import__ construct to "soft load"
these dependencies. Your patches will need to get updated for that.

Also, in Debian speak this means "libwebp" should be a "Suggests" or at
most a "Recommends" rather than a hard dependency.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 12:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Sat, 22 Jun 2013 12:00:05 GMT) Full text and rfc822 format available.

Message #44 received at 693481@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: Antoine Martin <antoine@nagafix.co.uk>, 693481@bugs.debian.org, أحمد المحمودي <aelmahmoudy@sabily.org>
Subject: Re: python-webm: support for loseless mode
Date: Sat, 22 Jun 2013 21:58:06 +1000
On Sat, 22 Jun 2013 20:41:06 Antoine Martin wrote:
> Note: upstream python-webm has not received a single update since March
> 2012, and it is now behind our in-tree copy which now supports lossless
> compression.

So true and there were no response for bugs either... Anyway it would
be easier to maintain "python-webm" as standalone package at least for
the sake of running post build-tests...

> I have created an upstream ticket with my patch:
> https://code.google.com/p/python-webm/issues/detail?id=2

Awesome, I'll incorporate it to the package. Thanks for letting me
know. I also converted your improvements to patch and attached to
upstream ticket. Could you also add some unit tests please?


> As for the hard-coded library names, this is unfortunate but was needed
> to make it work on all the platforms we support (I can't remember for
> sure, but I think "find_library" did not work on OSX for example). We
> *could* use "find_library" once it has been proven to work everywhere
> (takes time).

I'm glad that in Debian we don't have such constraint...


> Please also note that in the upcoming xpra 0.10 release, the loading of
> codecs has changed: we now use the __import__ construct to "soft load"
> these dependencies. Your patches will need to get updated for that.

I'm not sure if I understand what do you mean... Please remember that
you're talking to python illiterate so I apologise if occasionally you
need to talk to me like if you're speaking to baby to be
understood... :)

Your patches are always welcome of course.


> Also, in Debian speak this means "libwebp" should be a "Suggests" or at
> most a "Recommends" rather than a hard dependency.

Of course. I already tested Xpra and found that it works perfectly
with absence of python-webm. I think I'll make it Recommends.

At the moment I also need to patch Xpra to use system (not bundled)
python-webm...

Regards,
 Dmitry Smirnov.

---

I hate all sports as rabidly as a person who likes sports hates common
sense.
        -- H. L. Mencken



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 13:17:32 GMT) Full text and rfc822 format available.

Message #47 received at 693481@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 713017@bugs.debian.org, 693481@bugs.debian.org
Cc: Antoine Martin <antoine@nagafix.co.uk>
Subject: find_library() in python-webm
Date: Sat, 22 Jun 2013 15:13:06 +0200
* Antoine Martin <antoine@nagafix.co.uk>, 2013-06-22, 17:41:
>As for the hard-coded library names, this is unfortunate but was needed 
>to make it work on all the platforms we support (I can't remember for 
>sure, but I think "find_library" did not work on OSX for example). We 
>*could* use "find_library" once it has been proven to work everywhere

Please don't, unless you fancy your software segfaulting. find_library 
is fundamentally broken: it gives you a library with unpredictable ABI.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#693481; Package wnpp. (Sat, 22 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Message #52 received at 693481@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Jakub Wilk <jwilk@debian.org>, 693481@bugs.debian.org, Antoine Martin <antoine@nagafix.co.uk>
Subject: Re: Bug#693481: find_library() in python-webm
Date: Sun, 23 Jun 2013 06:03:21 +1000
Hi Jakub,

Thanks for your feedback.

On Sat, 22 Jun 2013 23:13:06 Jakub Wilk wrote:
> Please don't, unless you fancy your software segfaulting. find_library 
> is fundamentally broken: it gives you a library with unpredictable ABI.
 
What would you recommend to use instead?

Cheers,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Sun, 23 Jun 2013 21:30:19 GMT) Full text and rfc822 format available.

Message #55 received at 693481@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 693481@bugs.debian.org
Cc: Antoine Martin <antoine@nagafix.co.uk>
Subject: Re: Bug#693481: find_library() in python-webm
Date: Sun, 23 Jun 2013 23:28:31 +0200
* Dmitry Smirnov <onlyjob@member.fsf.org>, 2013-06-23, 06:03:
>>Please don't, unless you fancy your software segfaulting. find_library 
>>is fundamentally broken: it gives you a library with unpredictable 
>>ABI.
>What would you recommend to use instead?

Determine shared library names that are compatible with the Python code 
at development time, and then hardcode them into the Python module.

xpra's webm module does it almost right:
1) It shouldn't try to open "libwebp.so";
2) It should treat gnu* (Hurd, kFreeBSD) platforms in the same way as 
linux2.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#693481; Package wnpp. (Mon, 24 Jun 2013 02:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Martin <antoine@nagafix.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dmitry Smirnov <onlyjob@member.fsf.org>. (Mon, 24 Jun 2013 02:27:04 GMT) Full text and rfc822 format available.

Message #60 received at 693481@bugs.debian.org (full text, mbox):

From: Antoine Martin <antoine@nagafix.co.uk>
To: Jakub Wilk <jwilk@debian.org>
Cc: 693481@bugs.debian.org
Subject: Re: Bug#693481: find_library() in python-webm
Date: Mon, 24 Jun 2013 09:21:51 +0700
[Message part 1 (text/plain, inline)]
> xpra's webm module does it almost right:
> 1) It shouldn't try to open "libwebp.so";
Oops, fixed.
> 2) It should treat gnu* (Hurd, kFreeBSD) platforms in the same way as
> linux2.
>
Also done.

http://xpra.org/trac/changeset/3709/xpra
(will backport to v0.9.x)

Thanks!
Antoine
[Message part 2 (text/html, inline)]

Reply sent to Dmitry Smirnov <onlyjob@debian.org>:
You have taken responsibility. (Sat, 03 Aug 2013 15:03:17 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Sat, 03 Aug 2013 15:03:17 GMT) Full text and rfc822 format available.

Message #65 received at 693481-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: 693481-close@bugs.debian.org
Subject: Bug#693481: fixed in python-webm 0.2.2-1
Date: Sat, 03 Aug 2013 15:00:07 +0000
Source: python-webm
Source-Version: 0.2.2-1

We believe that the bug you reported is fixed in the latest version of
python-webm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@debian.org> (supplier of updated python-webm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 22 Jun 2013 14:39:32 +1000
Source: python-webm
Binary: python-webm
Architecture: source all
Version: 0.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Changed-By: Dmitry Smirnov <onlyjob@debian.org>
Description: 
 python-webm - Python interface to the Google WebM video/image codec
Closes: 693481
Changes: 
 python-webm (0.2.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #693481).
Checksums-Sha1: 
 772b69056bb251a51fc2220471b53afc0419a8b6 1945 python-webm_0.2.2-1.dsc
 54345f2b5348b927132ca014405cb2a84b25a921 522249 python-webm_0.2.2.orig.tar.gz
 c6fb1d26bcb1828272338360b2985fb0fb63a44d 3080 python-webm_0.2.2-1.debian.tar.xz
 fba6bf7491dcee39b516bc4c20630b3a99a4c719 7706 python-webm_0.2.2-1_all.deb
Checksums-Sha256: 
 f6971e2e25da96f075aace3acaa4b81c9cfcb5912986dac30a22e74bf5e81f02 1945 python-webm_0.2.2-1.dsc
 5e5f32f968e082b3f6bd96f7e62d232767af283743e9b01a805d0c3b13914091 522249 python-webm_0.2.2.orig.tar.gz
 baf1cca7b05a343c42500415fc7e15d0d9d46c2d6b6ac890f506688829869b67 3080 python-webm_0.2.2-1.debian.tar.xz
 b6bfb253643fd0c2140801451df4a8feee75d68f9af6e207cf3157771d5ea956 7706 python-webm_0.2.2-1_all.deb
Files: 
 0f7c79fca882489618f79b9d4a8d028c 1945 python optional python-webm_0.2.2-1.dsc
 604accc5d3b983d4dda669ebcfc4e456 522249 python optional python-webm_0.2.2.orig.tar.gz
 a2323e6a5702d80b1c8cff5c26317785 3080 python optional python-webm_0.2.2-1.debian.tar.xz
 bc3ddf264f8a7c14459f530f69e6f1b0 7706 python optional python-webm_0.2.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRxTSGAAoJEFK2u9lTlo0b4qUP/3x55u5WGxj/ykhHwXTnPcYw
cA+YAid77+5B67zeojspMDaDDCgPLbnd0ZnAYyO7xIxfGYj0dVWC8P4WgpGGBG3o
a2g8QZFN7gz6/F8bA+neX+alb/7q7aYZKYwxOR9IAnWB2mCwaLoAgL1lHlaRgSfG
Y8MkFzVZG2z4j/+QK6DL5f9P26nCNurEg3FRc153P6OoaAZX1CNhzretW0FhiTlS
su/Pzb1lbHCpZEG4TOxjaN4XWZsoGWBzGom3Uyg27d1jOlawRP6eqU2QZNei+bXx
VW65YFzcNkZ7PwSeBY8i+fkh+RDBbK4q9q2GRpL1eUviDrvHKO8UDZ/VVd4i2p3s
bUdEpWBvACeSPf93qkC0N/Gx8AMbqvqJ5tHDMlUvIndYYdAHeVMhL/zhFU+Xwk7H
6CzzqpI6RMVMLSfPuw+LJNrDDBujKhfwxAedE5EWCkrTMHRo2yGDVLmfNaoXTvEE
TBmNrn4zw29Wkuv203I//SqS71VfoUCJWQZV99QOL5LCSG4stUuEu8wdSNzxH44D
nYduNCTfRtKz4p2jpPLtiF4HodhUX9qSnrvEFkUiL6smmW/RScydDCOhC4fWQ51K
DfWFoKX2D1Ja0BbLzgtkcBtz5khGcteWq74+4xs4SeppGe39zxVwHDZ+zO7O7vL3
NYl/ZhCbH2cQLKOB+UQs
=voQi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Sep 2013 07:33:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:01:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.